ScXMLDocument(3)

NAME
ScXMLDocument

SYNOPSIS

#include <Inventor/scxml/Document.h>

Inherits ScXMLObject.

  Public Member Functions
virtual SoType getTypeId (void) const
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.
void setFilename (const char *filename)
const char * getFilename (void) const
virtual void setRoot (ScXMLScxmlElt *root)
ScXMLScxmlElt * getRoot (void) const
ScXMLAbstractStateElt * getStateById (SbName id) const
ScXMLDataElt * getDataById (SbName id) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass (void)
static void cleanClass (void)
static ScXMLDocument * readFile (const char *filename)
static ScXMLDocument * readBuffer (const SbByteBuffer &buffer)
static ScXMLDocument * readXMLData (cc_xml_doc *xmldoc)

  Additional Inherited Members

Detailed Description

The <ScXMLDocument class is a container class for a complete SCXML document.

Member Function Documentation

  SoType ScXMLDocument::getTypeId (void) const [virtual]

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

See also
    SoBase::getTypeId() const

Implements ScXMLObject.

Author

Generated automatically by Doxygen for Coin from the source code.